| Home | Libraries | People | FAQ | More

## Type definition taus88

taus88

## Synopsis

    // In header: <boost/random.hpp>

    typedef random::xor_combine< random::xor_combine< random::linear_feedback_shift< uint32_t, 32, 31, 13, 12, 0 >, 0, random::linear_feedback_shift< uint32_t, 32, 29, 2, 4, 0 >, 0, 0 >, 0, random::linear_feedback_shift< uint32_t, 32, 28, 3, 17, 0 >, 0, 0 > taus88;

## Description

The specialization taus88 was suggested in

> "Maximally Equidistributed Combined Tausworthe Generators", Pierre L'Ecuyer, Mathematics of Computation, Volume 65, Number 213, January 1996, Pages 203-213